#ifndef MAIN_H
#define MAIN_H

#include "util.h"
#include "slp.h"

typedef struct table *Table_;
struct table {string id; int value; Table_ tail;};
Table_ Table(string id, int value, struct table *tail);

Table_ interpStm(A_stm s, Table_ t);

int lookup(Table_ t, string key);

typedef struct intandtable *IntAndTable_;
struct intandtable {int i; Table_ t;};
IntAndTable_ IntAndTable(int i, Table_ t);
IntAndTable_ interpExp(A_exp e, Table_ t);

#endif // !MAIN_H
